function showFPS()

	local frame = 0
	local timer = os.timer()
	local qFloor = math.floor

	local fps = TextField.new(nil, "")
	fps:setPosition(40, 20)
	fps:setTextColor(0xFF0000)
	fps:setScale(1.2)

	local function displayFps(event)
		frame = frame + 1
		if frame == 60 then
			local currentTimer = os.timer()
			fps:setText("fps: "..qFloor(60 / (currentTimer - timer)) .. "  MemUsage: " .. math.ceil(collectgarbage("count")) .. " Kb " .. " TextureUsage: " .. math.ceil(application:getTextureMemoryUsage()) .. " Kb")
			
			frame = 0
			timer = currentTimer	
		end
	end

	stage:addChild(fps)
	stage:addEventListener(Event.ENTER_FRAME, displayFps)

end

local sound = Sound.new("wing.wav")
local handler = function()
	sound:play(0, false, false)
end

local timer = Timer.new(200, 0)

timer:addEventListener(Event.TIMER, handler)
timer:start()

showFPS()